/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.arrebol.taxiservicios.model.predio;

import com.arrebol.taxiservicios.model.enums.GenericEnumType;
import com.arrebol.taxiservicios.model.enums.PeriodoPago;
import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author pc one
 */
public class preCobranzaView implements Serializable {

    private static final long serialVersionUID = -6653037938225719593L;

    private String idAbonoLote;
    private String idPerson;
    private String folio;
    private Double totalAPagar;
    private PeriodoPago periodoPago;
    private String plazoMeses;
    private GenericEnumType pagoEstatus;
    private Date fechaAPagar;
    private Integer diferenciaDias;
    private Double pago;
    private String completeName;
    private String contactNumber;

    public preCobranzaView() {
    }

    public String getIdAbonoLote() {
        return idAbonoLote;
    }

    public void setIdAbonoLote(String idAbonoLote) {
        this.idAbonoLote = idAbonoLote;
    }

    public String getIdPerson() {
        return idPerson;
    }

    public void setIdPerson(String idPerson) {
        this.idPerson = idPerson;
    }

    public String getFolio() {
        return folio;
    }

    public void setFolio(String folio) {
        this.folio = folio;
    }

    public Double getTotalAPagar() {
        return totalAPagar;
    }

    public void setTotalAPagar(Double totalAPagar) {
        this.totalAPagar = totalAPagar;
    }

    public PeriodoPago getPeriodoPago() {
        return periodoPago;
    }

    public void setPeriodoPago(PeriodoPago periodoPago) {
        this.periodoPago = periodoPago;
    }

    public String getPlazoMeses() {
        return plazoMeses;
    }

    public void setPlazoMeses(String plazoMeses) {
        this.plazoMeses = plazoMeses;
    }

    public GenericEnumType getPagoEstatus() {
        return pagoEstatus;
    }

    public void setPagoEstatus(GenericEnumType pagoEstatus) {
        this.pagoEstatus = pagoEstatus;
    }

    public Date getFechaAPagar() {
        return fechaAPagar;
    }

    public void setFechaAPagar(Date fechaAPagar) {
        this.fechaAPagar = fechaAPagar;
    }

    public Integer getDiferenciaDias() {
        return diferenciaDias;
    }

    public void setDiferenciaDias(Integer diferenciaDias) {
        this.diferenciaDias = diferenciaDias;
    }

    public Double getPago() {
        return pago;
    }

    public void setPago(Double pago) {
        this.pago = pago;
    }

    public String getCompleteName() {
        return completeName;
    }

    public void setCompleteName(String completeName) {
        this.completeName = completeName;
    }

    public String getContactNumber() {
        return contactNumber;
    }

    public void setContactNumber(String contactNumber) {
        this.contactNumber = contactNumber;
    }

}
